Debian Bug report logs - #645825
Possible DFSG Violation In Bogofilter

version graph

Package: bogofilter; Maintainer for bogofilter is Serafeim Zanikolas <sez@debian.org>; Source for bogofilter is src:bogofilter.

Reported by: "Jason Self" <jason@bluehome.net>

Date: Tue, 18 Oct 2011 20:42:01 UTC

Severity: normal

Found in version bogofilter/1.2.2-2

Fixed in version bogofilter/1.2.2+dfsg1-1

Done: Serafeim Zanikolas <sez@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#645825; Package bogofilter. (Tue, 18 Oct 2011 20:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jason Self" <jason@bluehome.net>:
New Bug report received and forwarded. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Tue, 18 Oct 2011 20:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Jason Self" <jason@bluehome.net>
To: submit@bugs.debian.org
Subject: Possible DFSG Violation In Bogofilter
Date: Tue, 18 Oct 2011 13:40:08 -0700 (PDT)
[Message part 1 (text/plain, inline)]
Package: bogofilter
Version: 1.2.2-2

Bogofilter include some documenttation under a license that doesn't permit 
modification or commercial use.

Specifically, the files say:

This work is licensed under the Creative Commons
Attribution-NonCommercial-NoDerivs German License. To view a copy of
this license, visit http://creativecommons.org/licenses/by-nc-nd/2.0/de/
or send a letter to Creative Commons; 559 Nathan Abbott Way;
Stanford, California 94305; USA.

The files in question are in the /doc directory and are:

bogofilter-SA-2005-01
bogofilter-SA-2005-02  
bogofilter-SA-2010-01

This also appear to impact version 1.1.7. Other versions may be as well.

If commercial use and modification are not permitted, is it a violation of the 
DFSG?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#645825; Package bogofilter. (Tue, 18 Oct 2011 23:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. (Tue, 18 Oct 2011 23:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 645825@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: Jason Self <jason@bluehome.net>, 645825@bugs.debian.org
Subject: Re: Bug#645825: Possible DFSG Violation In Bogofilter
Date: Wed, 19 Oct 2011 01:03:15 +0200
Hi Jason,

On Tue, Oct 18, 2011 at 01:40:08PM -0700, Jason Self wrote [edited]:
> Package: bogofilter
> Version: 1.2.2-2
> 
> Bogofilter include some documenttation under a license that doesn't permit 
> modification or commercial use.

That's indeed the case. The problematic files are not shipped in the binary
packages. I'll repack the Debian source package to not include them either.

cheers,
sez

-- 
Want to sign up for websites without giving your email?
Ask me for a leemail.me invite




Reply sent to Serafeim Zanikolas <sez@debian.org>:
You have taken responsibility. (Sun, 27 Nov 2011 21:06:46 GMT) Full text and rfc822 format available.

Notification sent to "Jason Self" <jason@bluehome.net>:
Bug acknowledged by developer. (Sun, 27 Nov 2011 21:06:47 GMT) Full text and rfc822 format available.

Message #15 received at 645825-close@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: 645825-close@bugs.debian.org
Subject: Bug#645825: fixed in bogofilter 1.2.2+dfsg1-1
Date: Sun, 27 Nov 2011 21:03:43 +0000
Source: bogofilter
Source-Version: 1.2.2+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
bogofilter, which is due to be installed in the Debian FTP archive:

bogofilter-bdb_1.2.2+dfsg1-1_i386.deb
  to main/b/bogofilter/bogofilter-bdb_1.2.2+dfsg1-1_i386.deb
bogofilter-common_1.2.2+dfsg1-1_all.deb
  to main/b/bogofilter/bogofilter-common_1.2.2+dfsg1-1_all.deb
bogofilter-sqlite_1.2.2+dfsg1-1_i386.deb
  to main/b/bogofilter/bogofilter-sqlite_1.2.2+dfsg1-1_i386.deb
bogofilter-tokyocabinet_1.2.2+dfsg1-1_i386.deb
  to main/b/bogofilter/bogofilter-tokyocabinet_1.2.2+dfsg1-1_i386.deb
bogofilter_1.2.2+dfsg1-1.debian.tar.gz
  to main/b/bogofilter/bogofilter_1.2.2+dfsg1-1.debian.tar.gz
bogofilter_1.2.2+dfsg1-1.dsc
  to main/b/bogofilter/bogofilter_1.2.2+dfsg1-1.dsc
bogofilter_1.2.2+dfsg1-1_i386.deb
  to main/b/bogofilter/bogofilter_1.2.2+dfsg1-1_i386.deb
bogofilter_1.2.2+dfsg1.orig.tar.gz
  to main/b/bogofilter/bogofilter_1.2.2+dfsg1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645825@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Serafeim Zanikolas <sez@debian.org> (supplier of updated bogofilter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 27 Nov 2011 15:28:05 +0100
Source: bogofilter
Binary: bogofilter bogofilter-bdb bogofilter-sqlite bogofilter-tokyocabinet bogofilter-common
Architecture: source i386 all
Version: 1.2.2+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Serafeim Zanikolas <sez@debian.org>
Changed-By: Serafeim Zanikolas <sez@debian.org>
Description: 
 bogofilter - fast Bayesian spam filter (dummy package)
 bogofilter-bdb - fast Bayesian spam filter (Berkeley DB)
 bogofilter-common - fast Bayesian spam filter (common files)
 bogofilter-sqlite - fast Bayesian spam filter (sqlite)
 bogofilter-tokyocabinet - fast Bayesian spam filter (tokyocabinet)
Closes: 645825
Changes: 
 bogofilter (1.2.2+dfsg1-1) unstable; urgency=low
 .
   * Rebuild with repackaged source to exclude non-DFSG-free licensed security
     advisories (this only affects the source package, as the files were not
     included in the binaries). closes: #645825.
   * Add debian/README.source to document the above-described modification to
     the upstream tarball
   * Add debhelper token to all maintainer scripts
   * Add debian/rules targets build-arch and build-indep
   * debian/copyright: list non-DFSG-free files that were removed in repackaged
     source, and change my email address to the debian one
Checksums-Sha1: 
 281865ceaaec351a8aa4dc419ec5ad7d3d46de4e 2152 bogofilter_1.2.2+dfsg1-1.dsc
 5665fc133c1b7a898fe5dfa6916791b2dab87170 1050107 bogofilter_1.2.2+dfsg1.orig.tar.gz
 41df7e1ce936e3424ea447d9a364d8b821ad3ecd 17776 bogofilter_1.2.2+dfsg1-1.debian.tar.gz
 73f671ddda725319eb603e06e59827337156dab8 970 bogofilter_1.2.2+dfsg1-1_i386.deb
 78496776bee3ce50cd5dd7586450ad0ee7f4204c 267980 bogofilter-bdb_1.2.2+dfsg1-1_i386.deb
 bea8e92a3e12fedcf42dfef80965a01b2ee48062 228884 bogofilter-sqlite_1.2.2+dfsg1-1_i386.deb
 dc82e38a18575bfd2dea8d67092fee18c05f81dc 222310 bogofilter-tokyocabinet_1.2.2+dfsg1-1_i386.deb
 c7a7551d985f5a7cb89d1f3fc34aeffcddc66ef3 196276 bogofilter-common_1.2.2+dfsg1-1_all.deb
Checksums-Sha256: 
 8ea9d47719cba5509ff16177f33575ca06b86280d5620b002e2e6e997efff3f0 2152 bogofilter_1.2.2+dfsg1-1.dsc
 4bc213ac06043ac3d3b1b13a18b1546c46e63ee23234127e57f47c0733a0b31d 1050107 bogofilter_1.2.2+dfsg1.orig.tar.gz
 b20318e2f76045d9e68b950f3baa12d235ac725bc63888587145bf880c941527 17776 bogofilter_1.2.2+dfsg1-1.debian.tar.gz
 3d5cb5055555bc2f84d0e8a7a4a02d889b82058c81e6f804f34f4eaa5bced3a1 970 bogofilter_1.2.2+dfsg1-1_i386.deb
 418d83f4f475a97e227e778baa6d6082eb24dab9598bd449f48c533587d1bd03 267980 bogofilter-bdb_1.2.2+dfsg1-1_i386.deb
 b90aed87d3d3fbb57da8071c5c7327caba81afa988c6bc97c768c90390fb1e34 228884 bogofilter-sqlite_1.2.2+dfsg1-1_i386.deb
 b4bb3a556ae46f6860386a65ca5a32f68120a62445ca4b9fe0af69ca829b5512 222310 bogofilter-tokyocabinet_1.2.2+dfsg1-1_i386.deb
 8ce883a800aacfbfa7027e25c7a8497594da00de540882002f8b29ca889df48c 196276 bogofilter-common_1.2.2+dfsg1-1_all.deb
Files: 
 1ef8d5b5b24658856a5f4fb34df8b1d8 2152 mail optional bogofilter_1.2.2+dfsg1-1.dsc
 b08c2c7b3faee2047864bda6ef06854d 1050107 mail optional bogofilter_1.2.2+dfsg1.orig.tar.gz
 b136fe56f9010e4015cd41eaf72fef72 17776 mail optional bogofilter_1.2.2+dfsg1-1.debian.tar.gz
 20568e494d0155a59a21037d7416a96e 970 mail optional bogofilter_1.2.2+dfsg1-1_i386.deb
 a7773bfc897d57b7e2e275b654b09a31 267980 mail optional bogofilter-bdb_1.2.2+dfsg1-1_i386.deb
 f44c5a40af54f9475b6944d3419a7897 228884 mail extra bogofilter-sqlite_1.2.2+dfsg1-1_i386.deb
 6e9de6802799edcabc78417d5b9a9fb6 222310 mail extra bogofilter-tokyocabinet_1.2.2+dfsg1-1_i386.deb
 0d8f84316c4fb364f0414bfa1b79aa64 196276 mail optional bogofilter-common_1.2.2+dfsg1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJO0pryAAoJEE+fbVUO1hIqdLwP/1XzAX0ZTfP1cUXehQsPq1TR
kq49z7AoTOjbtJ6HSfob8aoOL2EKmYJ4rbOneHDPCEdoezGTpyDIfjoK8e2VIihB
M4K9x47YNg0fHAhBH7T0Za7cg+Fr/jFOa4dOqf6ZccdXcHRkl7oAzqVXX4eMo3OX
Rl6PYkMU8yRbgbMznqA80Ojw0ALS/3oiqtxotNSH6CjajzOLcdU1/VhOfzmE5P/e
0hVCTGrtQPUxkVwZFRHGZM+i+5aGHHPx1knKbd6Ai/ecAMlls9kJIi5PGmIjKvof
BZJq+B4jCj6Xkm1Q3aKTLXqVoTCwEiehYuJbG20wdbWTEhW29bvHJ4CmhPWJmVu/
Fu0fSWEQTMVQb8/hSuMZ6Yvnp00w+eKp9YRFLNMYKiI1XwkTMj11veX2D3eZXLLS
QzOBadQUNLmz1ve0AKjecp7YgcU7CzjMTc5xR8xXw7iANmf8gAjKgQ0YlQ0s5Xwf
JoRWA9GjoUj0qUowAfSnXvJT5yjUVxXGHo+gPmJgQrp18wrfwLgGPmTNnVd6Zhqa
9ZNMj5ybzu/jUqLXtmym32beheKREEOmfVmoEAp/8ZpzOX6ysEH8YHy0hF0UkNc6
ACHvI6LQNV3lCxI7DTg2vBVrea90N5z1d8Zls1ZrkwHIsNa85JNfrd56D2N5KHhi
1MVFSE9i2tc49f+YPeUg
=1j8L
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Jan 2012 07:33:41 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Karl Goetz <karl@kgoetz.id.au> to control@bugs.debian.org. (Wed, 25 Jan 2012 06:03:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Karl Goetz <karl@kgoetz.id.au> to control@bugs.debian.org. (Wed, 25 Jan 2012 06:03:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 13:15:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.